<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="background-image:url(images/bg.gif);margin:0px;">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image:url(images/bg.gif);">
  <tr>
    <td rowspan="5"><img src="images/blank.gif" width="12" height="5"/></td>
    <td width="100%"><img src="images/blank.gif" width="756" height="1"/><br/>
<br/>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><img src="images/blank.gif" width="21" height="1"/></td>
    <td width="100%"><table width="90%" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td width="14"><img src="images/tt1.gif" width="14" height="44"/></td>
        <td width="100%" align="left" background="images/tt2.gif"><table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <!-- MENU -->
              <!--CALL TOP-MENU -->
              <xsl:call-template name="TOP-MENU"/>
              <!-- END MENU -->
            </tr>
        </table></td>
        <td width="16"><img src="images/tt3.gif" width="16" height="44"/></td>
      </tr>
    </table></td>
  </tr>
</table>
    </td>
    <td rowspan="5"><img src="images/blank.gif" width="12" height="5"/></td>
  </tr>
  <tr>
    <td>
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
	  <tr>
		<td width="21"><img src="images/blank.gif" width="21" height="1"/></td>
		<td  width="7" height="7"><img src="images/t1.gif" width="7" height="7"/></td>
		<td  width="100%" height="7" style="background-image:url(images/t4.gif);"><img src="images/t2.gif" width="702" height="7"/></td>
		<td width="7"><img src="images/t3.gif" width="7" height="7"/></td>
	  </tr>
	  </table>
  </td>
  </tr>
  <tr>
    <td>
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
	<tr>
	<td width="21"><img src="images/blank.gif" width="21" height="1"/></td>
    <td background="images/lb2.gif"><img src="images/blank.gif" width="7" height="1"/></td>
    <td height="143" width="184" align="center" style="background-image:url(images/cbg.gif);background-repeat:repeat-y;">
	<a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a><br/>
        <span class="comname"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span><br/>
		<img src="images/blank.gif" width="184" height="1"/>
	</td>
    <td height="143" width="6" class="content" style="background-color:#B2B1B1;"><img src="images/blank.gif" width="6" height="1"/></td>
    <td height="143" width="100%" valign="top" align="left" style="background:#B2B1B1 url(images/header2.jpg) repeat-x;">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
			  <td width="9"><img src="images/header1.jpg" width="9" height="143"/></td>
			  <td width="100%" style="background:transparent url(images/header.jpg) no-repeat right">
			  <table border="0" cellpadding="0" cellspacing="0">
				  <tr>
					<td width="200" class="by"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </td>
				  </tr>
			  </table>
			  </td>
			</tr>
		</table>
	</td>
    <td valign="bottom" background="images/rb2.gif"><img src="images/blank.gif" width="7" height="1"/></td>
  </tr>    
  </table>
  </td>
  </tr>
  <tr>
    <td width="100%" height="100%">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td rowspan="4" valign="bottom" style="padding-bottom:3px"><img src="images/line2.gif" width="21" height="262"/></td>
    <td background="images/lb2.gif"></td>
    <td colspan="3" height="3" valign="top" bgcolor="#b2b1b1" style="background-image:url(images/cbg.gif);background-repeat:repeat-y;"></td>
    <td rowspan="4" valign="bottom" background="images/rb2.gif"><img src="images/b5.gif" width="7" height="7"/></td>
  </tr>
  <tr>
    <td height="6" valign="top" bgcolor="#7e7e7e" background="images/lb4.gif"></td>
    <td width="184" height="6" valign="top" background="images/cbg2.gif" bgcolor="#7e7e7e"></td>
    <td width="6" height="6" align="right" valign="top" style="background-color:#7e7e7e;background-image:url(images/cbg2.gif);"><img src="images/cbg3.gif" width="6" height="6"/></td>
    <td height="6" valign="top" bgcolor="#b2b1b1"></td>
  </tr>
  <tr>
    <td width="7" valign="top" bgcolor="#7e7e7e" background="images/lb3.gif"><img src="images/blank.gif" width="7" height="7"/></td>
    <td align="center" valign="top" style="background-color:#7e7e7e;padding:0 10px"><table width="164" border="0" cellspacing="0" cellpadding="0">
        <!-- CALL SUB-MENU -->
        <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
    </table></td>
    <td valign="top"  style="background-color:#7e7e7e;background-image:url(images/cbg1.gif);background-position:right;background-repeat:repeat-y"></td>
    <td width="100%" height="100%" valign="top" style="padding:0px 30px;background-color:#B2B1B1;">
	<br/>
	<table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          <td><img src="images/pathway.gif" width="20" height="20"/></td>
        </tr>
      </table>
        <br/>
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageContent" name="SB_stretch"><!-- CONTENT -->
                <xsl:apply-templates select="PAGE-CONTENT"/>
                <!-- END CONTENT -->
            </td>
          </tr>
      </table></td>
  </tr>
  <tr>
    <td height="32" colspan="2" valign="top" background="images/bbg1.gif" bgcolor="#7e7e7e"><img src="images/b6.gif" width="36" height="32"/></td>
    <td height="32" align="right" valign="top" background="images/bbg1.gif" bgcolor="#7e7e7e"><img src="images/bbg2.gif" width="6" height="32"/></td>
    <td height="32" align="right" valign="top" background="images/bbg3.gif" bgcolor="#b2b1b1"><img src="images/b7.gif" width="35" height="32"/></td>
  </tr>
</table>	
	</td>
  </tr>
  <tr>
    <td width="100%" ><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
<td width="21"><img src="images/blank.gif" width="21" height="1"/></td>
    <td width="7"><img src="images/blank.gif" width="7" height="1"/></td>
    <td width="100%"><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td  style="padding-left:30px"><table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <!-- CALL BOTTOM-MENU -->
                <xsl:call-template name="BOTTOM-MENU"/>
                <!-- END BOTTOM-MENU -->
              </tr>
          </table></td>
          <td height="50" align="right" valign="top" style="padding-right:21px;"><img src="images/line3.gif" width="270" height="37"/></td>
        </tr>
        <tr>
          <td height="70" colspan="2" valign="top" class="footer" style="padding-left:30px;padding-top:10px"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
        </tr>
    </table></td>
    <td><img src="images/blank.gif" width="7" height="1"/></td>      </tr>
    </table></td>
  </tr>
</table></center>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
            <td class="submenuitem" style="padding:10px 0;text-align:left;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td width="6"><img src="images/bullet01.gif" width="6" height="5"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td class="submenuitema" style="padding:10px 0;text-align:left;"><a href="{@HREF}" class="submenuitema"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td width="6"><img src="images/bullet01.gif" width="6" height="5"/></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
            <td height="1" colspan="2" background="images/line1.gif"></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            <td class="bottommenuitema"><a href="{@HREF}" class="bottommenuitema"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            <td class="bottommenuitem"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
            <td class="bottommenuitema"><a href="{@HREF}" class="bottommenuitema"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td width="20" align="center"><img src="images/bfooter.gif" width="5" height="5"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
