<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px; background-image: url(images/diwen.gif);">
<table  width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/diwen.gif">
  <tr>
    <td >
<table style="background-image: url(images/diwen-1.gif);background-repeat: repeat-x;" width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td >
<table  width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" >
  <tr>
   <td width="9"><img src="images/spacer.gif" width="82" height="1" border="0" /></td>
   <td width="20"><img src="images/spacer.gif" width="208" height="1" border="0" /></td>
   <td width="100%" class="logoding"><img src="images/spacer.gif" width="32" height="1" border="0" /></td>
   <td width="59"><img src="images/spacer.gif" width="356" height="1" border="0" /></td>
   <td width="9"><img src="images/spacer.gif" width="82" height="1" border="0" /></td>
  </tr>

  <tr>
   <td rowspan="6"></td>
   <td height="65" colspan="3"></td>
   <td rowspan="6"></td>
  </tr>
  <tr>
    <td height="72" colspan="3" align="center" background="images/bullet-diwen.gif" >
   <table border="0" cellspacing="0" cellpadding="0" height="72">
     <tr>
       <td width="30" background="images/bullet-diwen.gif" class="icon-top"></td>
<xsl:call-template name="TOP-MENU"/>
       <td width="50" background="images/bullet-diwen.gif"></td>
     </tr>
   </table></td>
   </tr>
  <tr>
   <td height="169" colspan="3" background="images/logoxun.gif" >
   <table width="100%" height="169" border="0" cellpadding="0" cellspacing="0">
     <tr>
       <td align="left" valign="middle" style="background-image: url(images/header.gif); background-repeat: repeat-y; background-position: right top; " >
	   <table width="260" height="169" border="0" cellpadding="0" cellspacing="0">
         <tr>
           <td width="17"></td>
           <td width="63" rowspan="2" valign="middle"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
           <td width="190" align="left" valign="bottom" class="logo"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
         </tr>
         <tr>
           <td></td>
           <td valign="top" class="logox"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
         </tr>
       </table></td>
     </tr>
   </table></td>
   </tr>
  <tr>
    <td valign="top" background="images/subleft.gif" bgcolor="#FFFFFF"><img src="images/subleft.gif"/>
      <table width="207" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="20" colspan="4" class="iconright-2"></td>
          </tr>
        <tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </tr>
        <tr>
          <td height="20" colspan="4" ></td>
          </tr>
      </table></td>
    <td colspan="2" valign="top" bgcolor="#FFFFFF" width="100%" height="100%">
   <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/textdiwen.gif">
     <tr>
       <td  height="41">
	   <table height="45" border="0" cellpadding="0" cellspacing="0">
           <tr>
             <td width="31" height="35" rowspan="2"></td>
             <td height="15" colspan="2"></td>
           </tr>
           <tr>
             <td height="26" valign="middle"><span class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
             <td valign="middle"><img src="images/text.gif" hspace="3"/></td>
           </tr>
       </table></td>
     </tr>
     <tr >
       <td colspan="2" valign="top"  class="pageContent" style="padding:10 20 20 31px"><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td>
	 </tr>
   </table></td>
   </tr>
  <tr>
    <td height="9" colspan="3"  background="images/textbo.gif"></td>
  </tr>
  <tr>
    <td colspan="3" align="center">
	<table height="73" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td class="boright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
  </tr>
</table>
</td>
  </tr>
</table>
</td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
       <td width="24" height="22"></td>
       <td align="center" class="iconleft"><img src="images/bulletleft.gif" width="5" height="6"/></td>
       <td width="138"><span class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
       <td width="31" height="22"></td>
</tr>	
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
       <td width="24" height="22"></td>
       <td align="center" class="iconleft"><img src="images/bulletleft.gif" width="5" height="6"/></td>
       <td width="138"><a href='{@HREF}' class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       <td width="31" height="22"></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
       <td></td>
       <td height="1" colspan="2" background="images/bullet-xian.gif"></td>
       <td></td>
</tr>	
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
